#ifndef GDC_TNL_REQUIRE_H_
#define GDC_TNL_REQUIRE_H_

#include <catch2/catch.hpp>

#define REQUIRE_VECTOR_APPROX(a, b, eps) do {                                 \
        REQUIRE(a.getSize() == b.getSize());                                  \
        for(Index _i = 0; _i < a.getSize(); ++_i)                             \
            REQUIRE(Approx(a[_i]).margin(eps) == b[_i]);                      \
    } while(0)

#define REQUIRE_VECTOR(a, b) do {                                             \
        REQUIRE(a.getSize() == b.getSize());                                  \
        for(Index _i = 0; _i < a.getSize(); ++_i)                             \
            REQUIRE(a[_i] == b[_i]);                                          \
    } while(0)

#endif
